zenilib: zenilib/jni/external/freetype2/src/cff/cffobjs.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
cffobjs.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include "cfftypes.h"`
`#include <FT_INTERNAL_TRUETYPE_TYPES_H>`
`#include <FT_SERVICE_POSTSCRIPT_CMAPS_H>`
`#include <FT_INTERNAL_POSTSCRIPT_HINTS_H>`

Go to the source code of this file.

## Classes

struct | CFF_DriverRec_
struct | CFF_GlyphSlotRec_
struct | CFF_InternalRec_
struct | CFF_SizeRec_
struct | CFF_Transform_

## Typedefs

typedef typedefFT_BEGIN_HEADER struct CFF_DriverRec_ * | CFF_Driver
typedef struct CFF_DriverRec_ | CFF_DriverRec
typedef TT_Face | CFF_Face
typedef struct CFF_GlyphSlotRec_ * | CFF_GlyphSlot
typedef struct CFF_GlyphSlotRec_ | CFF_GlyphSlotRec
typedef struct CFF_InternalRec_ * | CFF_Internal
typedef struct CFF_InternalRec_ | CFF_InternalRec
typedef struct CFF_SizeRec_ * | CFF_Size
typedef struct CFF_SizeRec_ | CFF_SizeRec
typedef struct CFF_Transform_ | CFF_Transform

## Functions

| cff_driver_done (FT_Module module)
| cff_driver_init (FT_Module module)
| cff_face_done (FT_Face face)
| cff_face_init (FT_Stream stream, FT_Face face, FT_Int face_index, FT_Int num_params, FT_Parameter *params)
| cff_size_done (FT_Size size)
| cff_size_init (FT_Size size)
| cff_size_request (FT_Size size, FT_Size_Request req)
| cff_slot_done (FT_GlyphSlot slot)
| cff_slot_init (FT_GlyphSlot slot)

## Typedef Documentation

typedef typedefFT_BEGIN_HEADER struct CFF_DriverRec_* CFF_Driver

Definition at line 42 of file cffobjs.h.

typedef struct CFF_DriverRec_ CFF_DriverRec

typedef TT_Face CFF_Face

Definition at line 44 of file cffobjs.h.

typedef struct CFF_GlyphSlotRec_ * CFF_GlyphSlot

typedef struct CFF_GlyphSlotRec_ CFF_GlyphSlotRec

typedef struct CFF_InternalRec_ * CFF_Internal

typedef struct CFF_InternalRec_ CFF_InternalRec

typedef struct CFF_SizeRec_ * CFF_Size

typedef struct CFF_SizeRec_ CFF_SizeRec

typedef struct CFF_Transform_ CFF_Transform

## Function Documentation

cff_driver_done | ( | FT_Module | module | ) |

Definition at line 1068 of file cffobjs.c.

References FT_UNUSED.

cff_driver_init | ( | FT_Module | module | ) |

Definition at line 1059 of file cffobjs.c.

References FT_UNUSED.

cff_face_done | ( | FT_Face | face | ) |

Definition at line 1029 of file cffobjs.c.

References cff, cff_font_done(), FT_Generic_::data, SFNT_Interface_::done_face, TT_FaceRec_::extra, FT_FREE, if(), and TT_FaceRec_::sfnt.

cff_face_init | ( | FT_Stream | stream,
|  | FT_Face | face,
|  | FT_Int | face_index,
|  | FT_Int | num_params,
|  | FT_Parameter * | params
| ) |  |

Definition at line 478 of file cffobjs.c.

References cff, cff_font_load(), cff_index_get_name(), cff_index_get_sid_string(), cff_strcpy(), CFF_FontRec_::charset, CFF_FontRec_::charstrings_index, CFF_FontRecDictRec_::cid_font_name, CFF_FontRecDictRec_::cid_registry, cmap, CFF_EncodingRec_::count, FT_Generic_::data, CFF_FontRec_::encoding, FT_CharMapRec_::encoding, FT_CharMapRec_::encoding_id, error, TT_FaceRec_::extra, FT_CharMapRec_::face, family_name, CFF_FontRecDictRec_::family_name, CFF_FontRecDictRec_::font_bbox, CFF_SubFontRec_::font_dict, CFF_FontRecDictRec_::font_matrix, CFF_FontRecDictRec_::font_offset, TT_FaceRec_::format_tag, FT_ABS, FT_Bool, FT_CFF_CMAP_ENCODING_CLASS_REC_GET, FT_CFF_CMAP_UNICODE_CLASS_REC_GET, FT_CMap_New(), FT_DivFix(), FT_Err_Ok, FT_ERROR, FT_FACE_FIND_GLOBAL_SERVICE, FT_FACE_FLAG_CID_KEYED, FT_FACE_FLAG_FIXED_WIDTH, FT_FACE_FLAG_GLYPH_NAMES, FT_FACE_FLAG_HINTER, FT_FACE_FLAG_HORIZONTAL, FT_FACE_FLAG_KERNING, FT_FACE_FLAG_SCALABLE, FT_FACE_FLAG_SFNT, FT_Get_Module_Interface(), FT_Matrix_Multiply_Scaled(), FT_MAX_CHARMAP_CACHEABLE, FT_MIN, FT_MulDiv(), FT_NEW, ft_strcmp, FT_STREAM_SEEK, ft_strncmp, FT_STYLE_FLAG_BOLD, FT_STYLE_FLAG_ITALIC, FT_TRACE2, FT_TRACE4, FT_Vector_Transform_Scaled(), CFF_FontRecDictRec_::full_name, TT_FaceRec_::goto_table, CFF_FontRecDictRec_::has_font_matrix, i, idx, if(), SFNT_Interface_::init_face, CFF_FontRecDictRec_::is_fixed_pitch, CFF_FontRecDictRec_::italic_angle, library, SFNT_Interface_::load_cmap, SFNT_Interface_::load_face, CFF_CharsetRec_::max_cid, NULL, CFF_FontRec_::num_faces, CFF_FontRec_::num_glyphs, CFF_FontRec_::num_strings, CFF_FontRec_::num_subfonts, CFF_EncodingRec_::offset, FT_CharMapRec_::platform_id, CFF_FontRec_::pshinter, CFF_FontRec_::psnames, remove_style(), remove_subset_prefix(), TT_FaceRec_::root, CFF_FontRec_::subfonts, CFF_FontRec_::top_font, TT_ADOBE_ID_CUSTOM, TT_ADOBE_ID_EXPERT, TT_ADOBE_ID_STANDARD, TT_MS_ID_UNICODE_CS, TT_PLATFORM_ADOBE, TT_PLATFORM_APPLE_UNICODE, TT_PLATFORM_MICROSOFT, TTAG_CFF, TTAG_head, TTAG_OTTO, CFF_FontRecDictRec_::underline_position, CFF_FontRecDictRec_::underline_thickness, CFF_FontRecDictRec_::units_per_em, FT_FaceRec_::units_per_EM, CFF_FontRecDictRec_::weight, FT_Vector_::x, FT_BBox_::xMax, FT_BBox_::xMin, FT_Matrix_::xx, FT_Matrix_::xy, FT_Vector_::y, FT_BBox_::yMax, FT_BBox_::yMin, FT_Matrix_::yx, and FT_Matrix_::yy.

cff_size_done | ( | FT_Size | size | ) |

Definition at line 72 of file cffobjs.c.

References cff_size_get_globals_funcs(), FT_Generic_::data, PSH_Globals_FuncsRec_::destroy, TT_FaceRec_::extra, FT_SizeRec_::face, i, if(), and CFF_SizeRec_::root.

cff_size_init | ( | FT_Size | size | ) |

Definition at line 153 of file cffobjs.c.

References cff_make_private_dict(), cff_size_get_globals_funcs(), PSH_Globals_FuncsRec_::create, FT_Generic_::data, error, TT_FaceRec_::extra, FT_NEW, i, NULL, and CFF_SizeRec_::strike_index.

cff_size_request | ( | FT_Size | size,
|  | FT_Size_Request | req
| ) |  |

Definition at line 263 of file cffobjs.c.

References cff_size_get_globals_funcs(), FT_Generic_::data, TT_FaceRec_::extra, CFF_SubFontRec_::font_dict, FT_HAS_FIXED_SIZES, FT_MulDiv(), FT_Pos, FT_Request_Metrics(), i, PSH_Globals_FuncsRec_::set_scale, TT_FaceRec_::sfnt, CFF_SizeRec_::strike_index, and CFF_FontRecDictRec_::units_per_em.

cff_slot_done | ( | FT_GlyphSlot | slot | ) |

Definition at line 339 of file cffobjs.c.

cff_slot_init | ( | FT_GlyphSlot | slot | ) |

Definition at line 346 of file cffobjs.c.

References FT_Generic_::data, TT_FaceRec_::extra, FT_Get_Module(), and PSHinter_Interface_::get_t2_funcs.